मुख्य सामग्री पर जाएं
POST
/
2
/
media
/
upload
/
{id}
/
finalize
मीडिया अपलोड पूरा करें
curl --request POST \
  --url https://api.x.com/2/media/upload/{id}/finalize \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "1146654567674912769",
    "media_key": "<string>",
    "expires_after_secs": 123,
    "processing_info": {
      "check_after_secs": 123,
      "progress_percent": 123
    },
    "size": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

प्राधिकरण

Authorization
string
header
आवश्यक

The access token received from the authorization server in the OAuth 2.0 flow.

पथ पैरामीटर

id
string
आवश्यक

अंतिम रूप देने के लिए लक्षित Media का media id। इस Media का विशिष्ट पहचानकर्ता।

Pattern: ^[0-9]{1,19}$
उदाहरण:

"1146654567674912769"

प्रतिक्रिया

अनुरोध सफल रहा।

मीडिया अपलोड अनुरोध की स्थिति प्राप्त करने पर मिलने वाला रिस्पॉन्स।

data
object
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।